> ## Documentation Index
> Fetch the complete documentation index at: https://pinata-mintlify-5df45191.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

> Revoke an existing Pinata legacy IPFS API key by its key value so it can no longer be used to authenticate requests against the legacy API.

# Revoke API Key



## OpenAPI

````yaml put /users/revokeApiKey
openapi: 3.0.0
info:
  title: Pinata API
  description: ''
  termsOfService: https://www.pinata.cloud/terms-conditions
  contact:
    name: Pinata Team
    email: team@pinata.cloud
  version: 1.0.0
servers:
  - url: https://api.pinata.cloud
security:
  - bearerAuth: []
paths:
  /users/revokeApiKey:
    put:
      summary: Revoke API Key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/users_revokeApiKey_body'
      responses:
        '200':
          description: '"Revoked"'
          content:
            application/json: {}
      security:
        - bearerAuth: []
      servers:
        - url: https://api.pinata.cloud
components:
  schemas:
    users_revokeApiKey_body:
      required:
        - apiKey
      type: object
      properties:
        apiKey:
          type: string
      x-examples:
        Example 1:
          apiKey: API KEY TO REVOKE
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````